## BtPlaybackControllerSocket BtPlaybackControllerSocket — sockets based playback controller |

## Functions

BtPlaybackControllerSocket * | bt_playback_controller_socket_new ()

## Types and Values

struct | BtPlaybackControllerSocket

## Object Hierarchy

        GObject
        ╰── BtPlaybackControllerSocket

## Includes

    #include "bt-edit.h"

## Description

Allows the coherence upnp backend for buzztrax to remote control and query buzztrax-edit.

Functionality can be tested doing "netcat -n 127.0.0.1 7654". The commands are implemented in client_cmd_parse_and_process(). The protocol uses strings that are delimited by '|' chars.

playlist - buzztrax sends a list of labels for the current song reply is: '|' delimited label names play - play a playlist entry (or from start) play|<playlist-entry-number> stop - stop playback status - get player status reply is: event|<play-state>|<playlist-label>|<play-pos>|<length>|<volume>|<mute-state>|<loop-mode> {set,get} - set or get a variable volume, mute, repeat

## Functions

### bt_playback_controller_socket_new ()

    BtPlaybackControllerSocket *
    bt_playback_controller_socket_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtPlaybackControllerSocket

    struct BtPlaybackControllerSocket;

Opaque playback controller handle.